org.apache.fop.render.pdf.extensions

## Class PDFEmbeddedFileAttachment

- java.lang.Object
- - org.apache.fop.render.pdf.extensions.PDFExtensionAttachment
  - - org.apache.fop.render.pdf.extensions.PDFEmbeddedFileAttachment

- All Implemented Interfaces:
    ExtensionAttachment, org.apache.xmlgraphics.util.XMLizable

      public class PDFEmbeddedFileAttachment
      extends PDFExtensionAttachment

  This is the pass-through value object for the PDF extension.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static String` | `ELEMENT` element name

    - ### Fields inherited from class org.apache.fop.render.pdf.extensions.PDFExtensionAttachment

      `CATEGORY, PREFIX`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PDFEmbeddedFileAttachment()` No-argument contructor.
    `PDFEmbeddedFileAttachment(String filename, String src, String desc)` Default constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getCategory()` This method returns a category URI that allows a processor (layout manager or renderer) to determine if it supports this object.
    `String` | `getDesc()` Returns the file description.
    `protected String` | `getElement()`
    `String` | `getFilename()` Returns the file name.
    `String` | `getSrc()` Returns the source URI of the file.
    `String` | `getUnicodeFilename()` Returns the unicode file name.
    `void` | `setDesc(String desc)` Sets the description of the file.
    `void` | `setFilename(String name)` Sets the file name.
    `void` | `setSrc(String src)` Sets the source URI of the file.
    `void` | `toSAX(ContentHandler handler)`
    `String` | `toString()`

    - ### Methods inherited from class org.apache.fop.render.pdf.extensions.PDFExtensionAttachment

      `getPrefix`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ELEMENT

          protected static final String ELEMENT

      element name
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### PDFEmbeddedFileAttachment

          public PDFEmbeddedFileAttachment()

      No-argument contructor.

    - #### PDFEmbeddedFileAttachment

          public PDFEmbeddedFileAttachment(String filename,
                                           String src,
                                           String desc)

      Default constructor.
      Parameters:
        `filename` - the name of the file
        `src` - the location of the file
        `desc` - the description of the file

  - ### Method Detail

    - #### getFilename

          public String getFilename()

      Returns the file name.
      Returns:
        the file name

    - #### getUnicodeFilename

          public String getUnicodeFilename()

      Returns the unicode file name.
      Returns:
        the file name

    - #### setFilename

          public void setFilename(String name)

      Sets the file name.
      Parameters:
        `name` - The file name to set.

    - #### getDesc

          public String getDesc()

      Returns the file description.
      Returns:
        the description

    - #### setDesc

          public void setDesc(String desc)

      Sets the description of the file.
      Parameters:
        `desc` - the description to set

    - #### getSrc

          public String getSrc()

      Returns the source URI of the file.
      Returns:
        the source URI

    - #### setSrc

          public void setSrc(String src)

      Sets the source URI of the file.
      Parameters:
        `src` - the source URI

    - #### getCategory

          public String getCategory()

      This method returns a category URI that allows a processor (layout manager or renderer) to determine if it supports this object.
      Specified by:
        `getCategory` in interface `ExtensionAttachment`
      Overrides:
        `getCategory` in class `PDFExtensionAttachment`
      Returns:
        the category URI

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### getElement

          protected String getElement()

      Returns:
        the element name

    - #### toSAX

          public void toSAX(ContentHandler handler)
                     throws SAXException

      Throws:
        `SAXException`

Copyright © 2023 Apache Software Foundation. All rights reserved.